//
//  YHDavidCell0.swift
//  galaxy
//
//  Created by davidhuangA on 2024/1/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHDavidCell3: UITableViewCell {
    
    static let cellReuseIdentifier = "YHDavidCell3"

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        setupUI()
    }
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        setupUI()
    }
    
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        
    }
    
    lazy var bigImageView: UIImageView = {
        let imagV = UIImageView()
        imagV.contentMode = .scaleToFill
        imagV.image = UIImage(named: "home_cell1_bkg")
        return imagV
    }()

    lazy var subContentView : UIView = {
        let view = UIView()
        view.layer.backgroundColor = UIColor(red: 1, green: 1, blue: 1, alpha: 1).cgColor
        return view
    }()
    
    func setupUI() {
        contentView.backgroundColor = .clear
        backgroundColor = .clear
        
        
        contentView.addSubview(subContentView)
        subContentView.snp.makeConstraints { make in
            make.top.left.right.equalToSuperview()
            make.height.equalTo(138)
        }
        
        
        
        
        let bbxLable = UILabel()
        bbxLable.text = "银河推荐官"
        bbxLable.textColor = UIColor(red: 0.2, green: 0.2, blue: 0.2, alpha: 1)
        bbxLable.font = kFont(size: 18)
        
        subContentView.addSubview(bbxLable)
        bbxLable.snp.makeConstraints { make in
            make.top.equalTo(13)
            make.left.equalTo(25)
        }
        
        let desLable = UILabel()
        desLable.text = "邀请拉新，合作共赢"
        desLable.frame = CGRect(x: 0, y: 0, width: 141.5, height: 11.5)
        desLable.textColor = UIColor(red: 0.592, green: 0.592, blue: 0.592, alpha: 1)
        desLable.font = kFont(size: 10)
        subContentView.addSubview(desLable)
        desLable.snp.makeConstraints { make in
            make.left.equalTo(bbxLable.snp.right).offset(11)
            make.centerY.equalTo(bbxLable)
        }
    }
}
